Developer Portal
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
InsightsPurpleTRAC
MTIPodium
Other
Other
  • Weather
  1. Bill of Lading
  • Start Here
    • Overview
    • Getting started
    • Authentication
    • Testing
    • Errors & status codes
    • FAQ
  • General
    • Retrieve a list of vessels
      GET
    • Additional entity search
      GET
  • Screening
    • Screening a vessel
    • Watchlist checks
    • Additional checks
    • Movement history
    • Carbon rating
    • Submit a vessel for screening
      POST
    • Retrieve a list of transactions and their screening results
      GET
    • Ship & Flag Watchlist check
      GET
    • Company Watchlist check
      GET
    • Country Sanctions check
      GET
    • Ship movement history
      GET
    • Ship-to-Ship (STS) pairing screening
      GET
    • Company history check
      GET
    • P&I Club check
      GET
    • Vessel operational status
      GET
    • Flag history check
      GET
    • AIS positional discrepancy (spoofing) events
      GET
    • Periods of Non-Reporting
      GET
    • Carbon rating details
      GET
    • Get the PurpleTRAC Screening Report PDF
      GET
    • Submit a vessel for rescreening
      PUT
    • Archive a Screening
      PUT
  • Tracking
    • Voyage updates
    • Notification catalogue
    • Additional entities
    • Tracking a vessel
    • Enable a vessel for tracking
    • Remove additional entities from a tracked vessel
    • Add additional entities to a tracked vessel
    • List the additional entities on a transaction
    • Update voyage and tracking details
    • Get vessel positional data
    • Retrieve a list of vessel or bill of lading notifications
    • Get the PurpleTRAC Trade Report PDF
  • Bill of Lading
    • Carriers
    • Verification
    • Submit a Bill of Lading for screening
      POST
    • Get all BL Screening Results
      GET
    • Get a single BL screening result
      GET
    • Get the PurpleTRAC Bill of Lading Screening Report PDF
      GET
    • Enable tracking for a screened Bill of Lading
      PUT
    • Get the PurpleTRAC Bill of Lading Tracking Report PDF
      GET
    • Disable tracking for a Bill of Lading
      PUT
  • Containers
    • Screening
    • Carriers
    • Submit a Container for screening
    • Get all Container Screening Results
    • Archive Container
    • Get a single Container screening result
    • Get the Container report
  • Schemas
    • BLVGetAllResultsResponse
    • BLVScreeningResponse
    • BLVLastScreeningResult
    • BLVScreeningResultDetails
    • ContainerRegistrationBody
    • ContainerRegistrationResponse
    • ContainerGetAllResultsResponse
    • ContainerScreeningResponse
    • CarbonRatings
    • CarbonRating
    • CompanySanctions
    • CompanySanction
    • CountryChecks
    • CountryCheck
    • StsPairings
    • StsPairing
    • OtherAssociations
    • OtherAssociation
    • CompanyHistoryChecks
    • CompanyHistoryCheck
    • ShipStatuses
    • ShipStatus
    • FlagHistoryChecks
    • FlagHistoryCheck
    • PositionalDiscrepancies
    • PositionalDiscrepancy
    • DiscrepancyZone
    • DiscrepancyPort
    • NonReportingResponse
    • NonReporting
    • Notifications
    • Notification
    • BLVNotification
    • BLVPortFull
    • BLVPortFallback
    • PortCallHistory
    • PortCallHistoryItem
    • Positions
    • Position
    • PositionInfo
    • RegistrationResponse
    • ShipDetails
    • ShipSanctions
    • ShipSanction
    • VesselTrackingResponse
    • VesselTransactionsResponse
    • Transaction
    • TransactionPutBody
    • TransactionPutResponse
    • TransactionRescreenResponse
    • LastPosition
    • ScreeningNotification
    • ScreeningResult
    • UserDetails
    • UserProfile
    • Error
    • InvalidContainerNumberResponse
    • VesselRegistrationBody
    • VesselTrackingRequest
    • BLRegistrationBody
    • AdditionalEntitySearchResponse
    • AdditionalEntity
    • AdditionalEntitiesRequestSchema
    • TrackingAdditionalEntity
    • TrackingAdditionalEntitiesResponse
    • TrackingAdditionalEntityInput
    • TrackingAdditionalEntitiesPutBody
    • TrackingAdditionalEntitiesPutResponse
    • TrackingAdditionalEntitiesDeleteBody
    • RemovedAdditionalEntity
    • TrackingAdditionalEntitiesDeleteResponse
    • TrackingAdditionalEntityError
    • FeatureDisabledError
    • ObjectNotFoundError
    • TransactionValidationError
    • VoyageUpdateRequest
    • VoyageUpdateResponse
    • PTracMeta
    • PTracVessel
    • PTracVesselSearchResponse
    • DuplicateTransactionError
  1. Bill of Lading

Get a single BL screening result

Production
https://api.polestar-production.com
Production
https://api.polestar-production.com
GET
https://api.polestar-production.com
/purpletrac/v1/blv/{id}
Retrieve the BL Screening results for a single Bill of Lading.
Refer to Bill of Lading Verification to see how to use this endpoint in a bill of lading screening workflow.

Request

Authorization
API Key
Add parameter in query
api_key
Example:
api_key: ********************
or
Path Params

Query Params

Responses

🟢200OK
application/json
The bill of lading with its latest screening result, its notifications and its tracking status.
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.polestar-production.com/purpletrac/v1/blv/?username=undefined&api_key=%3Capi-key%3E'
Response Response Example
200 - Default
{
    "archived": false,
    "archived_date": null,
    "blv_no": "ISB1235295",
    "blv_phase_status": "SCREEN",
    "blv_type": "string",
    "client_reference": "string",
    "creation_date": "2023-05-10 11:37:29.596570+00:00",
    "id": 23281,
    "is_trackable": true,
    "is_live_trackable": false,
    "last_screening_result": {
        "carrier_severity": "OK",
        "details": {
            "cargo": {
                "containers_no": [
                    "CMAU8752246"
                ]
            },
            "container_numbers": [
                "CMAU8752246"
            ],
            "ordered_port_unlocodes": [
                "TRMER",
                "EGALY"
            ],
            "voyages": [
                {
                    "arrival_port": {
                        "city": "Alexandria, Egypt",
                        "country": "Egypt",
                        "estimated_time": "11.03.2023 15:00",
                        "unlocode": "EGALY"
                    },
                    "departure_port": {
                        "city": "Mersin, Turkey",
                        "country": "Turkey",
                        "estimated_time": "05.03.2023 04:24",
                        "unlocode": "TRMER"
                    },
                    "imo_number": 9311842,
                    "is_custom": false,
                    "mode": "Unknown",
                    "seq": 1,
                    "transport_name": "GARFIELD"
                }
            ]
        },
        "id": 45681,
        "overall_severity": "OK",
        "port_of_destination": {
            "code": "EGALY",
            "name": "Alexandria, Egypt"
        },
        "port_of_origin": {
            "code": "TRMER",
            "name": "Mersin, Turkey"
        },
        "screened_ports": [
            {
                "code": "TRMER",
                "country": {
                    "code": "TUR",
                    "iso_3166_1_alpha_2": "TR",
                    "name": "Turkey"
                },
                "name": "Mersin",
                "overall_severity": "OK",
                "seq": 0
            }
        ],
        "screened_ships": [
            {
                "document_id": null,
                "flag": {
                    "code": "PAN",
                    "iso_3166_1_alpha_2": "PA",
                    "name": "Panama"
                },
                "imo_number": "9311842",
                "overall_severity": "OK",
                "seq": 0,
                "ship_name": "GARFIELD",
                "transaction_id": null
            }
        ],
        "screening_date": "2023-05-10T11:37:29.628881",
        "screening_status": "SEARCHING"
    },
    "notifications": [
        {
            "id": 1,
            "creation_date": "2022-03-16T13:18:28Z",
            "document_id": null,
            "event": {
                "name": "BLV_SCREENING_COMPLETE"
            }
        }
    ],
    "num_notifications": 0,
    "overall_severity": "PENDING",
    "resource_uri": "/api/v1/blv/23281",
    "scac": "CMDU",
    "scac_name": "CMA CGM",
    "screening_status": "SEARCHING",
    "ship_transactions": [
        "/api/v1/transaction/1910791"
    ]
}
Modified at 2026-09-30 13:56:35
Previous
Get all BL Screening Results
Next
Get the PurpleTRAC Bill of Lading Screening Report PDF
Built with